<?php
/**
* BS Carousel Light
* 
* Module to render a Light Bootstrap Carousel
*
* PHP version 5.3
*
* @category   Joomla_Module
* @package    Bscarousellight
* @subpackage Mod_Bscarousellight
* @author     Alan Hicks <ahicks@p-o.co.uk>
* @copyright  2013 Persistent Objects Ltd
* @license    GNU General Public License version 2 or later; see LICENSE.txt
*
* @version    SVN: $Id: default.php 186 2014-06-02 13:02:08Z alan $
* @link       http://p-o.co.uk/
*/

defined('_JEXEC') or die('Restricted access');

JHtml::_('bootstrap.framework');

// Setup options object
$opt['interval'] = $params->get('interval', '5000');
$opt['pause']    = $params->get('pause', 'hover');

$options = JHtml::getJSObject($opt);

if ($params->get('captionanimate', 0)) {
$script = "window.setTimeout(function()
{
	// Prepare the carousel
	jQuery('#myCarousel .carousel-caption').hide();
	jQuery('#myCarousel .active .carousel-caption').show();
	// Activate the carousel
	jQuery('.carousel').carousel(".$options.");
	// Set the carousel animations
	jQuery('.carousel').on('slide.carousel', function() {
		jQuery('#myCarousel .active .carousel-caption').slideUp(500);
	});
	jQuery('.carousel').on('slide.bs.carousel', function() {
		jQuery('#myCarousel .active .carousel-caption').slideUp(500);
	});
	jQuery('.carousel').on('slid.carousel', function() {
		jQuery('#myCarousel .active .carousel-caption').slideDown(300);
	});
	jQuery('.carousel').on('slid.bs.carousel', function() {
		jQuery('#myCarousel .active .carousel-caption').slideDown(300);
	});
}, " . $opt['interval'] . ");";
} else {
$script = "window.setTimeout(function()
{
	jQuery('.carousel').carousel(".$options.");
}, " . $opt['interval'] . ");";
}

// Attach the carousel to document
JFactory::getDocument()->addScriptDeclaration($script);

$headinglevel = $params->get('headinglevel', 'h4');

?>

<!-- Carousel
================================================== -->
<div id='<?php echo $params->get('carouselid');?>' class="carousel slide">
	<div class="carousel-inner">
	<div class="item active">
		<a href="<?php echo JRoute::_('index.php?Itemid='.$params->get('item1link'));?>">
		<img src="<?php echo $params->get('item1image');?>" alt="<?php echo htmlspecialchars($params->get('item1heading'));?>">
		</a>
		<div class="carousel-container">
		<div class="carousel-caption">
			<<?php echo $headinglevel;?>><?php echo htmlspecialchars($params->get('item1heading'));?></<?php echo $headinglevel;?>>
			<p class="lead"><?php echo htmlspecialchars($params->get('item1lead'));?></p>
			<a class="btn btn-<?php echo $params->get('buttonsize');?> btn-primary"
				href="<?php echo JRoute::_('index.php?Itemid='.$params->get('item1link'));?>">
			<?php if ($params->get('linkchevron') == 'right') : ?>
			<span class="icon-chevron-right"></span>
			<?php endif ?>
			<?php echo htmlspecialchars($params->get('item1linktext'));?>
			<?php if ($params->get('linkchevron') == 'left') : ?>
			<span class="icon-chevron-left"></span>
			<?php endif ?>
			</a>
		</div>
		</div>
	</div>
<?php if ($params->get('item2image')) : ?>
		<div class="item">
		<a href="<?php echo JRoute::_('index.php?Itemid='.$params->get('item2link'));?>">
		<img src="<?php echo $params->get('item2image');?>" alt="<?php echo htmlspecialchars($params->get('item2heading'));?>">
		</a>
		<div class="carousel-container">
		<div class="carousel-caption">
			<<?php echo $headinglevel;?>><?php echo htmlspecialchars($params->get('item2heading'));?></<?php echo $headinglevel;?>>
			<p class="lead"><?php echo htmlspecialchars($params->get('item2lead'));?></p>
			<a class="btn btn-<?php echo $params->get('buttonsize');?> btn-primary"
				href="<?php echo JRoute::_($params->get('item2link'));?>">
			<?php if ($params->get('linkchevron') == 'right') : ?>
			<span class="icon-chevron-right"></span>
			<?php endif ?>
			<?php echo htmlspecialchars($params->get('item2linktext'));?>
			<?php if ($params->get('linkchevron') == 'left') : ?>
			<span class="icon-chevron-left"></span>
			<?php endif ?>
			</a>
		</div>
		</div>
	</div>
<?php endif ?>
<?php if ($params->get('item3image')) : ?>
		<div class="item">
		<a href="<?php echo JRoute::_('index.php?Itemid='.$params->get('item3link'));?>">
		<img src="<?php echo $params->get('item3image');?>" alt="<?php echo htmlspecialchars($params->get('item3heading'));?>">
		</a>
		<div class="carousel-container">
		<div class="carousel-caption">
			<<?php echo $headinglevel;?>><?php echo htmlspecialchars($params->get('item3heading'));?></<?php echo $headinglevel;?>>
			<p class="lead"><?php echo htmlspecialchars($params->get('item3lead'));?></p>
			<a class="btn btn-<?php echo $params->get('buttonsize');?> btn-primary"
				href="<?php echo JRoute::_($params->get('item3link'));?>">
			<?php if ($params->get('linkchevron') == 'right') : ?>
			<span class="icon-chevron-right"></span>
			<?php endif ?>
			<?php echo htmlspecialchars($params->get('item3linktext'));?>
			<?php if ($params->get('linkchevron') == 'left') : ?>
			<span class="icon-chevron-left"></span>
			<?php endif ?>
			</a>
		</div>
		</div>
	</div>
<?php endif ?>
<?php if ($params->get('item4image')) : ?>
		<div class="item">
		<a href="<?php echo JRoute::_('index.php?Itemid='.$params->get('item4link'));?>">
		<img src="<?php echo $params->get('item4image');?>" alt="<?php echo htmlspecialchars($params->get('item4heading'));?>">
		</a>
		<div class="carousel-container">
		<div class="carousel-caption">
			<<?php echo $headinglevel;?>><?php echo htmlspecialchars($params->get('item4heading'));?></<?php echo $headinglevel;?>>
			<p class="lead"><?php echo htmlspecialchars($params->get('item4lead'));?></p>
			<a class="btn btn-<?php echo $params->get('buttonsize');?> btn-primary"
				href="<?php echo JRoute::_($params->get('item4link'));?>">
			<?php if ($params->get('linkchevron') == 'right') : ?>
			<span class="icon-chevron-right"></span>
			<?php endif ?>
			<?php echo htmlspecialchars($params->get('item4linktext'));?>
			<?php if ($params->get('linkchevron') == 'left') : ?>
			<span class="icon-chevron-left"></span>
			<?php endif ?>
			</a>
		</div>
		</div>
	</div>
<?php endif ?>
<?php if ($params->get('item5image')) : ?>
		<div class="item">
		<a href="<?php echo JRoute::_('index.php?Itemid='.$params->get('item5link'));?>">
		<img src="<?php echo $params->get('item5image');?>" alt="<?php echo htmlspecialchars($params->get('item5heading'));?>">
		</a>
		<div class="carousel-container">
		<div class="carousel-caption">
			<<?php echo $headinglevel;?>><?php echo htmlspecialchars($params->get('item5heading'));?></<?php echo $headinglevel;?>>
			<p class="lead"><?php echo htmlspecialchars($params->get('item5lead'));?></p>
			<a class="btn btn-<?php echo $params->get('buttonsize');?> btn-primary"
				href="<?php echo JRoute::_($params->get('item5link'));?>">
			<?php if ($params->get('linkchevron') == 'right') : ?>
			<span class="icon-chevron-right"></span>
			<?php endif ?>
			<?php echo htmlspecialchars($params->get('item5linktext'));?>
			<?php if ($params->get('linkchevron') == 'left') : ?>
			<span class="icon-chevron-left"></span>
			<?php endif ?>
			</a>
		</div>
		</div>
	</div>
<?php endif ?>
<?php if ($params->get('item6image')) : ?>
		<div class="item">
		<a href="<?php echo JRoute::_('index.php?Itemid='.$params->get('item6link'));?>">
		<img src="<?php echo $params->get('item6image');?>" alt="<?php echo htmlspecialchars($params->get('item6heading'));?>">
		</a>
		<div class="carousel-container">
		<div class="carousel-caption">
			<<?php echo $headinglevel;?>><?php echo htmlspecialchars($params->get('item6heading'));?></<?php echo $headinglevel;?>>
			<p class="lead"><?php echo htmlspecialchars($params->get('item6lead'));?></p>
			<a class="btn btn-<?php echo $params->get('buttonsize');?> btn-primary"
				href="<?php echo JRoute::_($params->get('item6link'));?>">
			<?php if ($params->get('linkchevron') == 'right') : ?>
			<span class="icon-chevron-right"></span>
			<?php endif ?>
			<?php echo htmlspecialchars($params->get('item6linktext'));?>
			<?php if ($params->get('linkchevron') == 'left') : ?>
			<span class="icon-chevron-left"></span>
			<?php endif ?>
			</a>
		</div>
		</div>
	</div>
<?php endif ?>
	</div>
	<a class="left carousel-control" href="#<?php echo $params->get('carouselid');?>" data-slide="prev">&lsaquo;</a>
	<a class="right carousel-control" href="#<?php echo $params->get('carouselid');?>" data-slide="next">&rsaquo;</a>
<?php if ($params->get('showindicators')) : ?>
	<ul class="carousel-indicators">
<?php if ($params->get('item1image')) : ?>
		<li class="active">&nbsp;</li>
<?php endif ?>
<?php if ($params->get('item2image')) : ?>
		<li>&nbsp;</li>
<?php endif ?>
<?php if ($params->get('item3image')) : ?>
		<li>&nbsp;</li>
<?php endif ?>
<?php if ($params->get('item4image')) : ?>
		<li>&nbsp;</li>
<?php endif ?>
<?php if ($params->get('item5image')) : ?>
		<li>&nbsp;</li>
<?php endif ?>
<?php if ($params->get('item6image')) : ?>
		<li>&nbsp;</li>
<?php endif ?>
	<ul>
<?php endif ?>
</div><!-- /.carousel -->
